import QtQuick 1.0
import "../modelitf"

SourceModel {
    name: "Le Monde"

    listViews: [
        { viewComponent: 'content/view/Categories.qml', viewId: 'categoriesRect' } ,
        { viewComponent: 'content/view/News.qml', viewId: 'newsRect' },
        { viewComponent: 'content/view/NewsDetail.qml', viewId: 'newsDetailRect' }
    ]
    listModels: [
        categoriesModel,
        newsModel,
        newsModel
    ]

    function getSeqId(categoryIndex)
    {
        if( typeof categoriesModel.get(categoryIndex) != "undefined" )
            if( typeof categoriesModel.get(categoryIndex).seqid != "undefined" )
                return categoriesModel.get(categoryIndex).seqid

        return ""
    }

    property variant categoriesModel: LeMondeSequencesList { }
    property variant newsModel: LeMondeSequenceNews {
        seqid: getSeqId(currentPath[1])
    }

    loading: categoriesModel.loading || newsModel.loading
}
