import QtQuick 1.0
import "content/view"
import "content/modelimpl"
import "content/modelitf"

Rectangle {
    id: window
    width: 800; height: 480

    property int currentSourceIndex: 0

    property list<SourceModel> listSourceModel: [
        LeMondeSourceModel{},
        FavoriteFeedsSourceModel{},
        YahooSourceModel{}
    ]

    ListModel {
        id: viewsModel

        ListElement { component: "content/view/Sources.qml"; componentId: "sourcesRect"; componentDepth: 0 }
    }

    property variant currentSource: listSourceModel[currentSourceIndex]
    property bool loading: currentSource.loading
    property ListModel windowViewsModel: viewsModel

    ListView {
        id: viewsList

        anchors.fill: window
        orientation: ListView.Horizontal
        snapMode: ListView.SnapOneItem
        flickDeceleration: 500

        model: viewsModel
        delegate: Loader {
            id: componentId
            source: component
        }
    }

    Component {
        id: quitButtonDelegate
        Item {
            width: parent.width; height: 60
            Text {
                text: "Quit"
                font { family: "Helvetica"; pixelSize: 16; bold: true }
                anchors {
                    left: parent.left; leftMargin: 15
                    verticalCenter: parent.verticalCenter
                }
            }
            MouseArea {
                anchors.fill: parent
                onClicked: Qt.quit()
            }
        }
    }
}
